<%--采购申请--%>
<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,dateTime,combox,attachment,commonTree,comboDialog"/>
    <x:script src="/biz/topsun/sap/qualityInfoRecord/qualityInfoRecordDetail.js"/>
</head>
<body>
<div class="container-fluid">
    <x:billTitle title="质量信息记录维护申请" needStatus="true" needPerson="true"/>
    <form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id"/>
        <x:hidden name="version"/>
        <x:hidden name="billCode"/>
        <x:hidden name="fillinDate"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
        <x:hidden name="deptName"/>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
        <x:hidden name="personMemberName"/>
        <x:hidden name="statusId"/>
        <div class="hg-form-cols">
            <div class="hg-form-row">
                <x:inputC name="zqinfno" required="false" readonly="true" label="质量信息记录号" labelCol="2" fieldCol="2" />
                <x:hidden name="werks"/>
                <x:inputC name="werksName" required="true" label="工厂" labelCol="2" fieldCol="2" wrapper="select"/>
                <x:hidden name="lieferant"/>
                <x:inputC name="lifnrName" required="true" label="供应商" labelCol="2" fieldCol="2" wrapper="select"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="matnr" required="false" label="物料编码" labelCol="2" fieldCol="2" wrapper="select"/>
                <x:inputC name="maktx" required="false" readonly="true" label="物料描述" labelCol="2" fieldCol="2" />
                <x:hidden name="matkl"/>
                <x:inputC name="matklName" required="false" label="物料组" labelCol="2" fieldCol="2" wrapper="select"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="batchNo" required="true" label="批次号" labelCol="2" fieldCol="2" />
                <x:inputC name="checkNumber" required="true" label="检验数量" labelCol="2" fieldCol="2" mask="positiveMoney"/>
                <x:hidden name="unit"/>
                <x:inputC name="unitName" required="true" label="单位" labelCol="2" fieldCol="2" wrapper="select"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="certificateYear" required="true" label="凭证年份" labelCol="2" fieldCol="2" wrapper="year"/>
                <x:inputC name="certificateNo" required="true" label="凭证号" labelCol="2" fieldCol="2" />
                <x:inputC name="certificateItem" required="true" label="凭证项次" labelCol="2" fieldCol="2" />
            </div>
            <div class="hg-form-row">
                <x:inputC name="zspaufnr" required="false" label="打样单号码" labelCol="2" fieldCol="2" />
                <x:inputC name="zvdatab" required="true" label="合格有效期从" labelCol="2" fieldCol="2" wrapper="date"/>
                <x:inputC name="zvdatai" required="true" label="合格有效期到" labelCol="2" fieldCol="2" wrapper="date"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="zqavfn1" required="false" readonly="true" label="合格准入验证节点1" labelCol="2" fieldCol="2" />
                <x:inputC name="zvfnc1" required="false" readonly="true" label="节点1结论" labelCol="2" fieldCol="2" />
                <x:inputC name="zqavfn3" required="false" readonly="true" label="合格准入验证节点3" labelCol="2" fieldCol="2" />
            </div>
            <div class="hg-form-row">
                <x:inputC name="zqavfn2" required="false" readonly="true" label="合格准入验证节点2" labelCol="2" fieldCol="2" />
                <x:inputC name="zvfnc2" required="false" readonly="true" label="节点2结论" labelCol="2" fieldCol="2" />
                <x:inputC name="zvfnc3" required="false" readonly="true" label="节点3结论" labelCol="2" fieldCol="2" />
            </div>
            <div class="hg-form-row">
                <x:inputC name="zqafst" required="false" label="合格准入状态" labelCol="2" fieldCol="2" />
            </div>
            <div class="hg-form-row">
                <x:textareaC name="ztext" required="false" label="备注文本" labelCol="2" fieldCol="10" rows="3"/>
            </div>
        </div>
        <div id="maingrid"></div>
        <div style="padding-top: 15px;">
            <x:fileList bizCode="qualityInfoRecord" bizId="id" id="qualityInfoRecordList" title="供应商技术参数" />
        </div>
    </form>
</div>
</body>