package com.huigou.topsun.sap.purchase.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Auther: xin.lu
 * @Date: 2024/01/02/14:07
 * @Description:
 */
@Data
public class SapPurchaseItemVo implements Serializable {
    /**
     * 需求跟踪号
     */
    @JsonProperty("bednr")
    private String billCode;

    /**
     * 采购申请编号
     */
    //@JsonProperty("banfn")
    //private String banfn;

    /**
     * 申购项次号
     */
    @JsonProperty("bnfpo")
    private Integer bnfpo;

    /**
     * 项次类别
     */
    @JsonProperty("pstyp")
    private String pstyp;

    /**
     * 科目分配类别
     */
    @JsonProperty("knttp")
    private String knttp;

    /**
     * 工厂
     */
    @JsonProperty("werks")
    private String werks;

    /**
     * 工厂名称
     */
    //@JsonProperty("NAME1")
    //private String name1;

    /**
     * 库存地点
     */
    @JsonProperty("lgort")
    private String lgort;

    /**
     * 库存地点名称
     */
    //@JsonProperty("LGOBE")
    //private String lgobe;

    /**
     * 物料编号
     */
    @JsonProperty("matnr")
    private String matnr;

    /**
     * 短文本
     */
    @JsonProperty("txz01")
    private String txz01;

    /**
     * 物料组
     */
    @JsonProperty("matkl")
    private String matkl;

    /**
     * 申购数量
     */
    @JsonProperty("menge")
    private BigDecimal menge;

    /**
     * 申购数量单位
     */
    @JsonProperty("meins")
    private String meins;

    /**
     * 采购组
     */
    @JsonProperty("ekgrp")
    private String ekgrp;

    /**
     * 申请日期
     */
    @JsonProperty("badat")
    private String badat;

    /**
     * 创建日期
     */
    @JsonProperty("erdat")
    private String erdat;

    /**
     * 批准日期
     */
    @JsonProperty("frgdt")
    private String frgdt;

    /**
     * 要求交货日期
     */
    @JsonProperty("lfdat")
    private String lfdat;

    /**
     * 服务主数据编号
     */
    //@JsonProperty("SRVPOS")
    //private String srvpos;

    /**
     * 服务短文本
     */
    //@JsonProperty("KTEXT1")
    //private String ktext1;

    /**
     * 服务条目数量
     */
    //@JsonProperty("ESLL_MENGE")
    //private BigDecimal esllMenge;

    /**
     * 服务计量单位
     */
    //@JsonProperty("ESLL_MEINS")
    //private String esllMeins;

    /**
     * 定价基数
     */
    //@JsonProperty("PEINH")
    //private Integer peinh;

    /**
     * 服务预估单价
     */
    //@JsonProperty("BRTWR")
    //private BigDecimal brtwr;

    /**
     * 服务预估金额
     */
    //@JsonProperty("NETWR")
    //private BigDecimal netwr;

    /**
     * 创建者
     */
    @JsonProperty("ernam")
    private String ernam;

    /**
     * 申请人
     */
    @JsonProperty("afnam")
    private String afnam;

    /**
     * 评估价格
     */
    @JsonProperty("netwr")
    private BigDecimal preis;

    /**
     * 价格基数
     */
    //@JsonProperty("EBAN_PEINH")
    //private Integer ebanPeinh;

    /**
     * 币种
     */
    @JsonProperty("waers")
    private String waers;

    /**
     * 评估金额
     */
    //@JsonProperty("EBAN_NETWR")
    //private BigDecimal ebanNetwr;

    /**
     * 会计分配序号
     */
    @JsonProperty("zebkn")
    private Integer zebkn;

    /**
     * 多重科目分配
     */
    @JsonProperty("vrtkz")
    private String vrtkz;

    /**
     * 部分发票
     */
    @JsonProperty("twrkz")
    private String twrkz;

    /**
     * PR分解数量
     */
    //@JsonProperty("EKBN_MENGE")
    //private Long ekbnMenge;

    /**
     * 总账科目
     */
    @JsonProperty("sakto")
    private String sakto;

    /**
     * 成本中心
     */
    @JsonProperty("kostl")
    private String kostl;

    /**
     * 订单号
     */
    @JsonProperty("aufnr")
    private String aufnr;

    /**
     * 主资产号
     */
    @JsonProperty("anln1")
    private String anln1;

    /**
     * 主资产号（用于采购类型是固定资产）
     */
    @JsonProperty("anln3")
    private String anln3;

    /**
     * 子资产号
     */
    @JsonProperty("anln2")
    private String anln2;

    /**
     * 审批处理状态
     */
    //@JsonProperty("banpr")
    //private String banpr;

}
