package com.huigou.topsun.syncOrg.vo.SapPersonVo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @Auther: xin.lu
 * @Date: 2024/03/23/9:46
 * @Description: 映射SAP人员
 */
@Data
public class SapPersonVo implements Serializable {
    private String id;

    private String flag;

    /**
     * 上级
     */
    @JsonProperty("PARENT_FULL_NAME")
    private String parentFullName;

    /**
     * 员工编号
     */
    @JsonProperty("CODE")
    private String code;

    /**
     * 姓名
     */
    @JsonProperty("NAME")
    private String name;

    /**
     * 邮件
     */
    @JsonProperty("EMAIL")
    private String email;

    /**
     * 英文名称
     */
    @JsonProperty("ENGLISH_NAME")
    private String englishName;

    /**
     * 性别
     */
    @JsonProperty("SEX")
    private String sex;

    /**
     * 办公电话
     */
    @JsonProperty("OFFICE_PHONE")
    private String officePhone;

    /**
     * 移动电话
     */
    @JsonProperty("MOBILE_PHONE")
    private String mobilePhone;

    /**
     * 邮编
     */
    @JsonProperty("ZIP")
    private String zip;

    /**
     * 家庭住址
     */
    @JsonProperty("FAMILY_ADDRESS")
    private String familyAddress;

    /**
     * 国家
     */
    @JsonProperty("COUNTRY")
    private String country;

    /**
     * 银行所属国家
     */
    @JsonProperty("BANK_COUNTRY")
    private String bankCountry;

    /**
     * 银行代码
     */
    @JsonProperty("BANK_CODE")
    private String bankCode;

    /**
     * 银行账号
     */
    @JsonProperty("BANK_ACCOUNT_NUMBER")
    private String bankAccountNumber;

    /**
     * 参考明细
     */
//    @JsonProperty("CONSULT_ITEM")
//    private String consultItem;

    /**
     * 公司代码
     */
    @JsonProperty("COMPANY_CODE")
    private String companyCode;

    /**
     * 地区
     */
    @JsonProperty("REGION")
    private String region;

    /**
     * 语言
     */
    @JsonProperty("LANGU")
    private String langu;

    /**
     * 成本中心
     */
    @JsonProperty("KOSTL")
    private String kostl;
}
